wibble::sys::fs::Directory::const_iterator Class Reference

`#include <fs.h>`

## Public Member Functions

| const_iterator ()
| const_iterator (const Directory &dir)
| ~const_iterator ()
| const_iterator (const const_iterator &i)
| auto_ptr style copy semantics More...
const_iterator & | operator= (const const_iterator &i)
const_iterator & | operator++ ()
| Move to the next directory entry. More...
std::string | operator* () const
bool | operator== (const const_iterator &iter) const
bool | operator!= (const const_iterator &iter) const
bool | isdir () const
bool | isblk () const
bool | ischr () const
bool | isfifo () const
bool | islnk () const
bool | isreg () const
bool | issock () const

## Constructor & Destructor Documentation

wibble::sys::fs::Directory::const_iterator::const_iterator | ( |  | ) |

wibble::sys::fs::Directory::const_iterator::const_iterator | ( | const Directory & | dir | ) |

wibble::sys::fs::Directory::const_iterator::~const_iterator | ( |  | ) |

wibble::sys::fs::Directory::const_iterator::const_iterator | ( | const const_iterator & | i | ) |

auto_ptr style copy semantics

## Member Function Documentation

bool wibble::sys::fs::Directory::const_iterator::isblk | ( |  | ) | const

Returns
  true if we refer to a block device, else false

bool wibble::sys::fs::Directory::const_iterator::ischr | ( |  | ) | const

Returns
  true if we refer to a character device, else false

bool wibble::sys::fs::Directory::const_iterator::isdir | ( |  | ) | const

Returns
  true if we refer to a directory, else false

bool wibble::sys::fs::Directory::const_iterator::isfifo | ( |  | ) | const

Returns
  true if we refer to a named pipe (FIFO).

bool wibble::sys::fs::Directory::const_iterator::islnk | ( |  | ) | const

Returns
  true if we refer to a symbolic link.

bool wibble::sys::fs::Directory::const_iterator::isreg | ( |  | ) | const

Returns
  true if we refer to a regular file.

bool wibble::sys::fs::Directory::const_iterator::issock | ( |  | ) | const

Returns
  true if we refer to a Unix domain socket.

bool wibble::sys::fs::Directory::const_iterator::operator!= | ( | const const_iterator & | iter | ) | const

std::string wibble::sys::fs::Directory::const_iterator::operator* | ( |  | ) | const

Returns
  the current file name

const_iterator& wibble::sys::fs::Directory::const_iterator::operator++ | ( |  | ) |

Move to the next directory entry.

const_iterator& wibble::sys::fs::Directory::const_iterator::operator= | ( | const const_iterator & | i | ) |

bool wibble::sys::fs::Directory::const_iterator::operator== | ( | const const_iterator & | iter | ) | const

The documentation for this class was generated from the following file:

- fs.h